[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.Notification

Handles a notification when a component is added to or removed from the control.

## Declaration

Source position: comctrls.pp line 456

`protected procedure TCustomTabControl.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Operation performed for the component.

## Description

Notification is overridden in TCustomTabControl to ensure that resources allocated for the Images property are Nil'd when the component is removed.

## See also

TCustomTabControl.Images |  | Contains the images displayed on the tabs for the control.
TControl.Notification |  | Notification handler for insertion or deletion of components.